Bug 863049 - Static library in -devel package
Static library in -devel package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: girara (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: François Cami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 06:25 EDT by Mario Blättermann
Modified: 2012-12-25 23:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-25 23:57:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-10-04 06:25:03 EDT
Hi,

the -devel package of girara contains a static library:

%{_libdir}/libgirara-gtk?.a

Either remove it from the package (maybe by using the --no-static switch if available), or create a new -static subpackage. Leaving static libraries in the devel package is not allowed if dynamically linked libraries are present. See http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2.

Sorry for the late report, I've reviewed this package, but I wasn't aware of this issue.
Comment 1 Mario Blättermann 2012-11-17 17:52:45 EST
Any progress here? Well, currently no package seems to need this library, but the problem persists anyway.
Comment 2 Fedora Update System 2012-11-27 17:04:50 EST
girara-0.1.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/girara-0.1.4-1.fc17
Comment 3 Fedora Update System 2012-11-27 17:06:45 EST
girara-0.1.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/girara-0.1.4-2.fc16
Comment 4 Fedora Update System 2012-11-28 06:57:45 EST
Package girara-0.1.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing girara-0.1.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19286/girara-0.1.4-2.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-25 23:57:11 EST
girara-0.1.4-1.fc17, zathura-0.2.1-1.fc17, zathura-pdf-poppler-0.2.1-4.fc17, zathura-ps-0.2.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-25 23:57:58 EST
girara-0.1.4-2.fc16, zathura-0.2.1-1.fc16, zathura-pdf-poppler-0.2.1-4.fc16, zathura-ps-0.2.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.